Loading...
Searching...
No Matches
libdar::simple_mask Class Reference
API

matches as done on shell command lines (see "man 7 glob") More...

`#include <mask.hpp>`

Inherits libdar::mask.

## Public Member Functions

| simple_mask (const std::string &wilde_card_expression, bool case_sensit)
| the constructor to use by libdar external programs
| simple_mask (const simple_mask &m)=default
| copy constructor
| simple_mask (simple_mask &&ref) noexcept=default
| move constructor
simple_mask & | operator= (const simple_mask &m)=default
| assignment operator
simple_mask & | operator= (simple_mask &&ref) noexcept=default
| move operator
| ~simple_mask ()=default
| default destructor
bool | is_covered (const std::string &expression) const override
| inherited from the mask class
std::string | dump (const std::string &prefix) const override
| inherited from the mask class
mask * | clone () const override
| inherited from the mask class
Public Member Functions inherited from libdar::mask
| mask (const mask &ref)=default
| mask (mask &&ref) noexcept=default
mask & | operator= (const mask &ref)=default
mask & | operator= (mask &&ref) noexcept=default
virtual bool | is_covered (const path &chemin) const
| check whether the given path is covered by the mask

## Private Attributes

std::string | the_mask
bool | case_s

## Detailed Description

matches as done on shell command lines (see "man 7 glob")

Definition at line 130 of file mask.hpp.

## Constructor & Destructor Documentation

## simple_mask()

libdar::simple_mask::simple_mask | ( | const std::string & | wilde_card_expression,
|  | bool | case_sensit
| ) |  |

the constructor to use by libdar external programs

Parameters

  [in] | wilde_card_expression | is the glob expression that defines the mask
  [in] | case_sensit | whether the mask is case sensitive or not

## Member Function Documentation

## clone()

mask * libdar::simple_mask::clone | ( |  | ) | const

inline override virtual

inherited from the mask class

Implements libdar::mask.

Definition at line 163 of file mask.hpp.

## dump()

std::string libdar::simple_mask::dump | ( | const std::string & | prefix | ) | const

override virtual

inherited from the mask class

Implements libdar::mask.

## is_covered()

bool libdar::simple_mask::is_covered | ( | const std::string & | expression | ) | const

override virtual

inherited from the mask class

Implements libdar::mask.

## Member Data Documentation

## case_s

bool libdar::simple_mask::case_s

private

Definition at line 167 of file mask.hpp.

## the_mask

std::string libdar::simple_mask::the_mask

private

Definition at line 166 of file mask.hpp.

The documentation for this class was generated from the following file:

- mask.hpp